package com.cyksj.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ejlchina.searcher.bean.SearchBean;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

/*
 *项目名: netflix
 *文件名: SpotifyUnLimitRecord
 *创建者: JavaZou
 *创建时间:2022/12/20 12:24
 */
@Getter
@Setter
@TableName("spotify_unLimit_record")
@SearchBean(tables = "spotify_unLimit_record")
public class SpotifyUnLimitRecord extends BaseEntity {
	private Long userId;

	@NotEmpty
	private String account;

	@NotEmpty
	private String password;

	private Boolean isSend;

	private Status status;


	@Getter
	public enum Status {
		Processing("待解除"),
		Success("解除成功"),
			Fail("解除失败"),
		;

		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
